/* infoFloat.css - Versão genérica */
.infoFloat {
    max-width: 400px;
    z-index: 1000;
}

.infoFloat.absolute-mode {
    position: absolute;
}

.infoFloat.fixed-mode {
    position: fixed;
    transition:
        top 0.2s ease,
        box-shadow 0.2s ease;
}

.infoFloat .card {
    margin-bottom: 1rem;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

.bg-red {
    background-color: var(--cor-primaria);
}

/* botão ... */
.infoToggle {
    display: none;
}

.infoOverlay {
    display: none;
}

#parallax {
    position: relative;
    z-index: 1;
}

@media (max-width: 1365px) {
    .infoOverlay {
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0.6);
        z-index: 999;
        opacity: 0;
        pointer-events: none;
        transition: opacity 0.2s ease;
        backdrop-filter: blur(3px);
    }

    .infoOverlay.active {
        opacity: 1;
        pointer-events: all;
    }

    .infoToggle {
        position: fixed;
        bottom: 4.5rem;
        top: auto;
        right: 1.3rem;
        display: flex;
        width: 40px;
        height: 40px;
        background: var(--bs-white) !important;
        color: var(--cor-primaria) !important;
        border: 1px solid var(--cor-primaria);
        border-radius: 50%;
        align-items: center;
        justify-content: center;
        font-size: 1.5rem;
        cursor: pointer;
        box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
        margin-bottom: 0.5rem;
        transition: all 0.3s ease;
        animation: pulse 1s infinite;
        z-index: 1001;
    }

    .infoFloat {
        top: 4rem !important;
        right: 3rem;
        width: auto;
        max-width: 300px;
        position: fixed !important;
    }

    .infoFloat.absolute-mode,
    .infoFloat.fixed-mode {
        position: fixed !important;
        top: 4rem !important;
    }

    .infoFloat .card {
        display: none;
        width: 100%;
        border-radius: 12px;
    }

    .infoFloat .card-body {
        padding: 0.5rem;
    }

    .infoFloat.active .card {
        display: block;
    }

    .infoFloat-item {
        font-size: 0.85rem;
        padding: 0 0.8rem;
    }

    .infoFloat-item i {
        font-size: 1rem;
    }

    .infoFloat:hover {
        top: 4rem !important;
    }
}

@keyframes pulse {
    0% {
        box-shadow: 0 0 0 0 rgba(var(--cor-primaria-rgb), 0.7);
    }
    70% {
        box-shadow: 0 0 0 10px rgba(var(--cor-primaria-rgb), 0);
    }
    100% {
        box-shadow: 0 0 0 0 rgba(var(--cor-primaria-rgb), 0);
    }
}
@media (min-width: 1200px) {
    @media (min-width: 1200px) {
        .page-content .container .row .col-md-12 {
            width: 75% !important;
        }

        /* Container como referência */
        .page-content .container {
            position: relative;
        }
    }
}
